KCPTUN-CLIENT(1)

NAME
kcptun-client - Simple UDP Tunnel Based On KCP

DESCRIPTION

  NAME:

    kcptun - client(with SMUX)

  USAGE:

    kcptun-client [global options] command [command options] [arguments...]

  VERSION:

    SELFBUILD

  COMMANDS:

help, h
    Shows a list of commands or help for one command

  GLOBAL OPTIONS:

--localaddr value, -l value
    local listen address (default: ":12948")

--remoteaddr value, -r value
    kcp server address, eg: "IP:29900" a for single port, "IP:minport-maxport" for port range (default: "vps:29900")

--key value
    pre-shared secret between client and server (default: "it's a secrect") [$KCPTUN_KEY]

--crypt value
    aes, aes-128, aes-128-gcm, aes-192, salsa20, blowfish, twofish, cast5, 3des, tea, xtea, xor, sm4, none, null (default: "aes")

--mode value
    profiles: fast3, fast2, fast, normal, manual (default: "fast")

--QPP
    enable Quantum Permutation Pads(QPP)

--QPPCount value
    the prime number of pads to use for QPP: The more pads you use, the more secure the encryption. Each pad requires 256 bytes. (default: 61)

--conn value
    set num of UDP connections to server (default: 1)

--autoexpire value
    set auto expiration time(in seconds) for a single UDP connection, 0 to disable (default: 0)

--scavengettl value
    set how long an expired connection can live (in seconds) (default: 600)

--mtu value
    set maximum transmission unit for UDP packets (default: 1350)

--ratelimit value
    set maximum outgoing speed (in bytes per second) for a single KCP connection, 0 to disable. Also known as packet pacing (default: 0)

--sndwnd value
    set send window size(num of packets) (default: 128)

--rcvwnd value
    set receive window size(num of packets) (default: 512)

--datashard value, --ds value
    set reed-solomon erasure coding - datashard (default: 10)

--parityshard value, --ps value
    set reed-solomon erasure coding - parityshard (default: 3)

--dscp value
    set DSCP(6bit) (default: 0)

--nocomp
    disable compression

--sockbuf value
    per-socket buffer in bytes (default: 4194304)

--smuxver value
    specify smux version, available 1,2 (default: 2)

--smuxbuf value
    the overall de-mux buffer in bytes (default: 4194304)

--framesize value
    smux max frame size (default: 8192)

--streambuf value
    per stream receive buffer in bytes, smux v2+ (default: 2097152)

--keepalive value
    seconds between heartbeats (default: 10)

--closewait value
    the seconds to wait before tearing down a connection (default: 0)

--snmplog value
    collect snmp to file, aware of timeformat in golang, like: ./snmp-20060102.log

--snmpperiod value
    snmp collect period, in seconds (default: 60)

--log value
    specify a log file to output, default goes to stderr

--quiet
    to suppress the 'stream open/close' messages

--tcp
    to emulate a TCP connection(linux)

-c value
    config from json file, which will override the command from shell

--pprof
    start profiling server on :6060

--help, -h
    show help

--version, -v
    print the version